Package com.io7m.idstore.server.api

# Record Class IdServerMailAuthenticationConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerMailAuthenticationConfiguration

Record Components:
  `userName` - The user name
  `password` - The password

All Implemented Interfaces:
  `IdServerJSONConfigurationElementType`

public record IdServerMailAuthenticationConfiguration(String userName, String password) extends Record implements IdServerJSONConfigurationElementType
The mail server authentication information.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerMailAuthenticationConfiguration(String userName, String password)`
  The mail server authentication information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `password()`
  Returns the value of the `password` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `userName()`
  Returns the value of the `userName` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.server.api.IdServerJSONConfigurationElementType

  `schemaId`

- ## Constructor Details

  - ### IdServerMailAuthenticationConfiguration

    public IdServerMailAuthenticationConfiguration(String userName, String password)
    The mail server authentication information.
    Parameters:
      `userName` - The user name
      `password` - The password

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userName

    public String userName()
    Returns the value of the `userName` record component.
    Returns:
      the value of the `userName` record component

  - ### password

    public String password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component